'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Triangle = function Triangle(props) {
  var direction = props.direction,
      x = props.x,
      y = props.y,
      size = props.size;

  var points = (0, _utils.corners)(direction, x, y, size);
  return _react2.default.createElement('polygon', (0, _extends3.default)({}, props, { points: points.map(function (p) {
      return p.join(',');
    }).join(' ') }));
};

Triangle.displayName = 'Triangle';

Triangle.propTypes = {
  direction: _react.PropTypes.oneOf(['up', 'down', 'left', 'right']).isRequired,
  x: _react.PropTypes.number.isRequired,
  y: _react.PropTypes.number.isRequired,
  size: _react.PropTypes.number.isRequired
};

exports.default = Triangle;